Bug 676473 - Rebuilding mksh using GCC 4.6 causes cc in permanent 99.9% CPU usage
Summary: Rebuilding mksh using GCC 4.6 causes cc in permanent 99.9% CPU usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-10 00:59 UTC by Robert Scheck
Modified: 2011-02-16 01:29 UTC (History)
3 users (show)

Fixed In Version: gcc-4.6.0-0.7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-10 13:00:56 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 47677 0 None None None Never

Description Robert Scheck 2011-02-10 00:59:33 UTC
Description of problem:
Rebuilding mksh using GCC 4.6 causes cc in permanent 99.9% CPU usage, the CPU
usage from the mockbuild in koji was told me by Jesse after requesting it.

[...]
cc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fno-strict-aliasing -fstack-protector-all -fwrapv -std=gnu99 -Wall -I.  -D_GNU_SOURCE -DHAVE_ATTRIBUTE_BOUNDED=0 -DHAVE_ATTRIBUTE_FORMAT=1 -DHAVE_ATTRIBUTE_NONNULL=1 -DHAVE_ATTRIBUTE_NORETURN=1 -DHAVE_ATTRIBUTE_UNUSED=1 -DHAVE_ATTRIBUTE_USED=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_SYS_MKDEV_H=0 -DHAVE_SYS_MMAN_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_LIBGEN_H=1 -DHAVE_LIBUTIL_H=0 -DHAVE_PATHS_H=1 -DHAVE_STDBOOL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_GRP_H=1 -DHAVE_ULIMIT_H=1 -DHAVE_VALUES_H=1 -DHAVE_STDINT_H=1 -DHAVE_RLIM_T=1 -DHAVE_SIG_T=1 -DHAVE_SYS_SIGNAME=0 -DHAVE_SYS_SIGLIST=1 -DHAVE_STRSIGNAL=0 -DHAVE_ARC4RANDOM=0 -DHAVE_ARC4RANDOM_PUSHB=0 -DHAVE_GETRUSAGE=1 -DHAVE_KILLPG=1 -DHAVE_MKNOD=1 -DHAVE_MKSTEMP=1 -DHAVE_NICE=1 -DHAVE_REVOKE=0 -DHAVE_SETLOCALE_CTYPE=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_SETMODE=0 -DHAVE_SETRESUGID=1 -DHAVE_SETGROUPS=1 -DHAVE_STRCASESTR=1 -DHAVE_STRLCPY=0 -DHAVE_ARC4RANDOM_DECL=1 -DHAVE_ARC4RANDOM_PUSHB_DECL=1 -DHAVE_FLOCK_DECL=0 -DHAVE_REVOKE_DECL=1 -DHAVE_SYS_SIGLIST_DECL=1 -DHAVE_PERSISTENT_HISTORY=1 -DHAVE_CONFIG_H -DCONFIG_H_FILENAME=\"sh.h\" -c lex.c
[never comes back, koji/mock timeout kills the process after a long time]

As this worked with older GCC versions fine, I feel this could be a bug in
our new GCC 4.6 - that's the only really new involved/changed component...

Version-Release number of selected component (if applicable):
gcc-4.6.0-0.6.fc15
mksh-39c-5.fc15

How reproducible:
Everytime, fire a scratch build in the Fedora buildsystem for example.

Actual results:
No successful rebuild.

Expected results:
Successful rebuild.

Comment 1 Jakub Jelinek 2011-02-10 13:00:56 UTC
Confirmed, tracking this upstream as PR47677.

Comment 2 Fedora Update System 2011-02-13 21:48:21 UTC
gcc-4.6.0-0.7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.7.fc15

Comment 3 Fedora Update System 2011-02-16 01:29:31 UTC
gcc-4.6.0-0.7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.